//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 2 lights, 6 textures and 24 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  Moray V3.0 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 11/01/1998    (01.11.1998)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera_up
  location  <2.987, -18.168, 5.000>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <-1.642, -0.093, 1.727>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <-6.397, -10.280, 9.862> // Attached to SpotLite001
  direction <0.0,     0.0,  1.7290>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <-5.974, -9.618, 9.243> // Following SpotLite001
}

*/

//
// *******  L I G H T S *******
//

light_source {   // Spotlight SpotLite001
  <-6.397, -10.280, 9.862>
  color  rgb <1.000, 1.000, 0.757>
  spotlight
    point_at  <-5.974, -9.618, 9.243>
    falloff   18.00  // outer radius (in deg)
      radius    12.00  // inner radius
}

light_source {   // lit
  <-10.082, -4.580, 9.850>
  color rgb <0.900, 0.900, 0.900>
}


//
// ********  TEXTURES  *******
//

#include "caraf.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

//
// Include file contains 'verre_degustation'
//
#include "caraf.in1"
#declare verre_degustation = object {
  verre_degustation_Raw
  texture {
    t_verre
  }
  scale 0.33
}
//
// Include file contains 'vin_verre_degustation'
//
#include "caraf.in2"
#declare vin_verre_degustation = object {
  vin_verre_degustation_Raw
  scale 0.33
}
#declare vin_dans_verre_degustation = intersection {
  box { // bound_vin
    <-1, -1, -1>, <1, 1, 1>
    translate  <0.0, 0.003178, 0.690433>
  }
  object { vin_verre_degustation }
  texture {
    t_vin_rouge
  }
  scale <0.9, 0.9, 1.0>
}
#declare verre_degustation_plein = union {
  object { verre_degustation }
  object { vin_dans_verre_degustation }
  translate  <-3.449609, -1.39627, 0.0>
}
//
// Include file contains 'verre_degustation1'
//
#include "caraf.in3"
#declare verre_degustation1 = object {
  verre_degustation1_Raw
  texture {
    t_verre
  }
  scale 0.33
}
//
// Include file contains 'vin_verre_degustation1'
//
#include "caraf.in4"
#declare vin_verre_degustation1 = object {
  vin_verre_degustation1_Raw
  scale 0.33
}
#declare vin_dans_verre_degustation1 = intersection {
  box { // bound_vin1
    <-1, -1, -1>, <1, 1, 1>
    translate  <0.0, -0.005845, 0.909699>
  }
  object { vin_verre_degustation1 }
  texture {
    t_vin_rouge
  }
  scale <0.9, 0.9, 1.0>
}
#declare verre_degustation_plein1 = union {
  object { verre_degustation1 }
  object { vin_dans_verre_degustation1 }
  translate  <-2.851912, 0.229115, 0.0>
}
//
// Include file contains 'verre_degustation2'
//
#include "caraf.in5"
#declare verre_degustation2 = object {
  verre_degustation2_Raw
  texture {
    t_verre
  }
  scale 0.33
}
//
// Include file contains 'vin_verre_degustation2'
//
#include "caraf.in6"
#declare vin_verre_degustation2 = object {
  vin_verre_degustation2_Raw
  scale 0.33
}
#declare vin_dans_verre_degustation2 = intersection {
  box { // bound_vin2
    <-1, -1, -1>, <1, 1, 1>
    translate  <0.0, 0.003178, 0.568618>
  }
  object { vin_verre_degustation2 }
  texture {
    t_vin_rouge
  }
  scale <0.9, 0.9, 1.0>
}
#declare verre_degustation_plein2 = union {
  object { verre_degustation2 }
  object { vin_dans_verre_degustation2 }
  translate  <2.168762, -1.210115, 0.0>
}
union { // verre_degustations
  object { verre_degustation_plein }
  object { verre_degustation_plein1 }
  object { verre_degustation_plein2 }
  translate  0.02*z
}


//
// Include file contains 'bouchon_carafe'
//
#include "caraf.in7"
#declare bouchon_carafe = object {
  bouchon_carafe_Raw
  texture {
    t_verre
  }
  scale <0.3, 0.275, 0.3>
  translate  4.052051*z
}
//
// Include file contains 'carafe'
//
#include "caraf.in8"
#declare carafe = object {
  carafe_Raw
  texture {
    t_verre
  }
  scale 0.1
}
//
// Include file contains 'vin_plein_caraf'
//
#include "caraf.in9"
#declare vin_plein_caraf = object {
  vin_plein_caraf_Raw
  texture {
    t_vin_rouge
  }
  scale 0.09
  translate  0.09*z
}
#declare vin_dans_caraf = intersection {
  object { vin_plein_caraf }
  box { // bound_vin_caraf
    <-1, -1, -1>, <1, 1, 1>
    scale 2.0
    translate  <0.0, -0.007777, -1.151057>
  }
  texture {
    t_vin_rouge
  }
}
union { // carafe_complete
  object { bouchon_carafe }
  object { carafe }
  object { vin_dans_caraf }
}


box { // mur
  <-1, -1, -1>, <1, 1, 1>
  texture {
    T_fond
  }
  scale <100.0, 1.0, 100.0>
  translate  100.0*y
}




box { // sol
  <-1, -1, -1>, <1, 1, 1>
  texture {
    T_sol
  }
  scale <100.0, 100.0, 0.0001>
  translate  -94.405932*y
}




